package org.jboss.test.webservice.jbws663;

import org.jboss.logging.Logger;

/**
 * document/literal bare, headers not bound to the endpoint  
 */
public class SMSTextMessagingSoapBareImpl implements SMSTextMessagingSoapBare
{
   private Logger log = Logger.getLogger(SMSTextMessagingSoapBareImpl.class);
   
   public SendMessageResponse sendMessage(SendMessage parameters)
   {
      log.debug("sendMessage: " + parameters.getMessageText());
      MessageStatus msgStatus = new MessageStatus(100, "ok", "extra");
      SMSTextMessageTargetStatus status = new SMSTextMessageTargetStatus(parameters.getToNumber(), "track001", msgStatus);
      SendMessageResponse retObj = new SendMessageResponse(status);
      return retObj;
   }

   public SendMessagesBulkResponse sendMessagesBulk(SendMessagesBulk parameters)

   {
      SendMessagesBulkResponse retObj = null;
      return retObj;
   }

   public TrackMessageResponse trackMessage(TrackMessage parameters)
   {
      TrackMessageResponse retObj = null;
      return retObj;
   }

   public TrackMessagesBulkResponse trackMessagesBulk(TrackMessagesBulk parameters)
   {
      TrackMessagesBulkResponse retObj = null;
      return retObj;
   }

   public GetSupportedCarriersResponse getSupportedCarriers(GetSupportedCarriers parameters)
   {
      GetSupportedCarriersResponse retObj = null;
      return retObj;
   }

   public GetCountryCodesResponse getCountryCodes(GetCountryCodes parameters)
   {
      GetCountryCodesResponse retObj = null;
      return retObj;
   }

   public GetRemainingHitsResponse getRemainingHits(GetRemainingHits parameters)
   {
      GetRemainingHitsResponse retObj = null;
      return retObj;
   }
}
